## rdiff-backup 2.0.5

=== Makefile ===
# Makefile to automate rdiff-backup build and install steps

# Currently all steps are run isolated inside a Docker image, but this could
# be extended to have more options.
RUN_COMMAND ?= docker run --rm -i -v ${PWD}/..:/build/ -w /build/$(shell basename `pwd`) rdiff-backup-dev:debian-sid

# Define SUDO=sudo if you don't want to run the whole thing as root
# we set SUDO="sudo -E env PATH=$PATH" if we want to keep the whole environment
SUDO ?=

all: clean container test build

test: test-static test-runtime

test-static:
	${RUN_COMMAND} tox -c tox.ini -e flake8

test-runtime: test-runtime-base test-runtime-root test-runtime-slow

test-runtime-files:
	@echo "=== Install files required by the tests ==="
	${RUN_COMMAND} ./tools/setup-testfiles.sh  # This must run as root or sudo be available

test-runtime-base: test-runtime-files
	@echo "=== Base tests ==="
	${RUN_COMMAND} tox -c tox.ini -e py

test-runtime-root: test-runtime-files
	@echo "=== Tests that require root permissions ==="
	${RUN_COMMAND} ${SUDO} tox -c tox_root.ini -e py  # This must run as root
	# NOTE! Session will user=root inside Docker)

test-runtime-slow: test-runtime-files
	@echo "=== Long running performance tests ==="
	${RUN_COMMAND} tox -c tox_slow.ini -e py

test-misc: clean build test-static test-runtime-slow

build:
	# Build rdiff-backup (assumes src/ is in directory 'rdiff-backup' and it's
	# parent is writeable)
	${RUN_COMMAND} ./setup.py build

bdist_wheel:
	# Prepare wheel for deployment.
	# See the notes for target "build"
	# auditwheel unfortunately does not work with modern glibc
	${RUN_COMMAND} ./setup.py bdist_wheel
	# ${RUN_COMMAND} auditwheel repair dist/*.whl

sdist:
	# Prepare wheel for deployment.
	${RUN_COMMAND} ./setup.py sdist

dist_deb:
	${RUN_COMMAND} debian/autobuild.sh

container:
	# Build development image
	docker build --pull --tag rdiff-backup-dev:debian-sid .

clean:
	${RUN_COMMAND} rm -rf .tox/ MANIFEST build/ testing/__pycache__/ dist/
	${RUN_COMMAND} ${SUDO} rm -rf .tox.root/

## rdiff-backup 1.2.8

=== debian/changelog ===
rdiff-backup (1.2.8-7) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.9.2
    - add X-Python-Version field
    - remove dpatch build-dependency
  * debian/source/format
    - switch to 3.0 (quilt)
  * debian/patches
    - migrated *.dpatch to quilt format
    - add 02_python_2.6_deprecationwarning.diff patch (Closes:#587370)
    - add 03_fix_hardlinks.diff (Closes:#558035)
  * debian/rules
    - switch to dh --with python2

 -- Carl Chenet <chaica@ohmytux.com>  Wed, 04 Jan 2012 02:23:04 +0100

rdiff-backup (1.2.8-6) unstable; urgency=low

  * debian/control
    - switching Maintainer to PAPT team
    - switching Uploaders to Carl Chenet <chaica@ohmytux.com>
  * debian/patches/01_fix_restricted_test-server_option.dpatch
    - added one line accidentely removed in the previous patch (Closes:#570627)

 -- Carl Chenet <chaica@ohmytux.com>  Sat, 20 Feb 2010 12:29:55 +0100

rdiff-backup (1.2.8-5) unstable; urgency=low

  [ Carl Chenet ]
  * debian/local/bash-completion 
    - Switch from dashes to underscores in bash function names (Closes:#531606)

  [ Piotr Ożarowski ]
  * Provide public module again (sorry for not checking rdepends more
    carefully, closes: #547135)
    - bump minimum required debhelper version to 7.3.5
    - replace python-dev with python-all-dev build dependency

 -- Carl Chenet <chaica@ohmytux.com>  Thu, 17 Sep 2009 21:07:43 +0200

rdiff-backup (1.2.8-4) unstable; urgency=low

  * Patch fixing restricted test-server option (Closes:#522278).
  * debian/control
    - add dpatch in Build-Depends
  * debian/rules
    - add call to dpatch
  * Create debian/patches directory
  * Create debian/patches/00list file
  * Create debian/patches/01_fix_restricted_test-server_option.dpatch 
  * Create debian/README.source for dpatch

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 07 Sep 2009 23:42:56 +0200

rdiff-backup (1.2.8-3) unstable; urgency=low

  * New debian/watch file
  * debian/control
    - Bump to Standard-Versions 3.8.3
    - New maintainer (Closes: #540633).
    - Set Uploaders field to PAPT.
    - Vcs-Svn and Vcs-Browser fields were added.
    - Bump debhelper to (>= 7.0.50~).
  * debian/rules
    - Use now a private directory for not polluting global namespace

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 31 Aug 2009 23:25:49 +0200

rdiff-backup (1.2.8-2) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Wrapping build-depends.
  * Removing version from librsync build-depends, already fulfilled in stable.
  * Renaming local directory to store debian additions to more sensible name.
  * Minimizing rules file.
  * Updating year in copyright file.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Aug 2009 11:41:00 +0200

rdiff-backup (1.2.8-1) unstable; urgency=low

  * Merging upstream version 1.2.8 (Closes: #520089):
    - Don't crash on zlib errors (Closes: #518531).

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Mar 2009 06:25:00 +0100

rdiff-backup (1.2.7-1) unstable; urgency=low

  * Merging upstream version 1.2.7.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Mar 2009 08:10:00 +0100

rdiff-backup (1.2.6-1) unstable; urgency=low

  * Merging upstream version 1.2.6.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Mar 2009 08:06:00 +0100

rdiff-backup (1.2.5-1) unstable; urgency=low

  * Merging upstream version 1.2.5.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 Jan 2009 23:17:00 -0500

rdiff-backup (1.2.4-1) unstable; urgency=low

  * Merging upstream version 1.2.4.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 Jan 2009 23:13:00 -0500

rdiff-backup (1.2.3-1) unstable; urgency=high

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 1.2.3:
    - fixes regression with "Too many levels of symbolic links" exception
      (Closes: #409514).

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Dec 2008 22:26:00 +0100

rdiff-backup (1.2.2-1) unstable; urgency=low

  * Merging upstream version 1.2.2.

 -- Daniel Baumann <daniel@debian.org>  Tue, 28 Oct 2008 13:50:00 +0100

rdiff-backup (1.2.1-2) unstable; urgency=low

  * Updating vcs fields in control file.
  * Adding bash-completion from Andreas Olsson <andreas@arrakis.se>.

 -- Daniel Baumann <daniel@debian.org>  Sat, 04 Oct 2008 10:46:00 +0200

rdiff-backup (1.2.1-1) unstable; urgency=medium

  * Merging upstream version 1.2.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 29 Aug 2008 22:19:00 +0200

rdiff-backup (1.2.0-1) unstable; urgency=medium

  * Merging upstream version 1.2.0
    (Closes: #345627, #420869, #426110, #443686, #463035, #480785, #481098).

 -- Daniel Baumann <daniel@debian.org>  Thu, 31 Jul 2008 22:27:00 +0200

rdiff-backup (1.1.17-1) unstable; urgency=low

  * Merging upstream version 1.1.17 (Closes: #491185):
    - fixes failure with 'exceptions.KeyError' (Closes: #410586).
    - fixes failure with 'KeyError inode' exception (Closes: #486653).

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Jul 2008 16:30:00 +0200

rdiff-backup (1.1.16-2) unstable; urgency=medium

  * Making build-depends against librsync version to ensure 4gb bugfix.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2008 11:42:00 +0200

rdiff-backup (1.1.16-1) unstable; urgency=medium

  * Removing 01-manpage.dpatch, went upstream.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Removing watch file.
  * Simplyfing control file.
  * Adding vcs fields in control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Merging upstream version 1.1.16.

 -- Daniel Baumann <daniel@debian.org>  Sun, 22 Jun 2008 23:14:00 +0200

rdiff-backup (1.1.15-2) unstable; urgency=low

  * Applied patches from Justin Pryzby <jpryzby@quoininc.com> to fix manpage
    typos (Closes: #461934).

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Jan 2008 21:42:00 +0100

rdiff-backup (1.1.15-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: rdiff-backup
Section: utils
Priority: optional
X-Python-Version: >= 2.5
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>
Build-Depends:
 debhelper (>= 7.3.5~), python-all-dev, python-pylibacl, python-pyxattr,
 librsync-dev
Standards-Version: 3.9.2
Homepage: http://rdiff-backup.nongnu.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/rdiff-backup/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/rdiff-backup/trunk/

Package: rdiff-backup
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Recommends: python-pylibacl, python-pyxattr
Description: remote incremental backup
 rdiff-backup backs up one directory to another, possibly over a network. The
 target directory ends up a copy of the source directory, but extra reverse
 diffs are stored in a special subdirectory of that target directory, so you can
 still recover files lost some time ago. The idea is to combine the best
 features of a mirror and an incremental backup. rdiff-backup also preserves
 subdirectories, hard links, dev files, permissions, uid/gid ownership,
 modification times, extended attributes, acls, and resource forks.
 .
 Also, rdiff-backup can operate in a bandwidth efficient manner over a pipe,
 like rsync. Thus you can use rdiff-backup and ssh to securely back a hard drive
 up to a remote location, and only the differences will be transmitted. Finally,
 rdiff-backup is easy to use and settings have sensible defaults.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_install:
	install -D -m 0644 debian/local/bash-completion debian/rdiff-backup/etc/bash_completion.d/rdiff-backup

	# Removing useless files
	rm -rf debian/rdiff-backup/usr/share/doc/rdiff-backup-*

=== debian/watch ===
version=3
http://savannah.nongnu.org/download/rdiff-backup/ rdiff-backup-(1.2.*)\.tar.gz

## rdiff-backup 1.2.8-7+10.0trisquel1

=== debian/changelog ===
rdiff-backup (1.2.8-7+10.0trisquel1) nabia-backports; urgency=medium

  * Forward-ported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Sep 2021 19:51:46 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/rdiff-backup/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/rdiff-backup/trunk/
 
-Package: rdiff-backup
+Package: rdiff-backup1.2
+Conflicts: rdiff-backup
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
 Recommends: python-pylibacl, python-pyxattr

## rdiff-backup 1.3.3

=== debian/changelog ===
rdiff-backup (1.3.3-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream release 1.3.3
  * Fix crashing on Exception '[Errno 61] No data available' (Closes: #881347)

  [ Rémi Laurent ]
  * Fix harmless option typo in bash-completion file (Closes: #656436)

  [ Christian Hammers ]
  * Extend --no-compress defaults by .iso/vob/mdf (Closes: #607257)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 02 Aug 2019 21:01:40 +0100

rdiff-backup (1.2.8-8) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [ Otto Kekäläinen ]
  * Add Salsa-CI for quality assurance
  * Allow gbp to build from any branch so that merge requests etc can be built
  * Organize control file with wrap-and-sort -a
  * Mark Otto Kekäläinen as new Debian maintainer and developer
  * Install bash completion file in correct path
  * Add upstream metadata with new upstream at Github.com/Rdiff-backup
  * Update copyright to follow DEP5 format
  * Add dh-python as build dependency
  * Switch to buildsystem pybuild
  * Fail on missing files to be explicit on what files go where
  * Watch for updates for any release, not just 1.2.x series
  * Add simple Debian autopkgtest smoke test
  * Build using librsync 2.0 series to fix security issue (Closes: #928885)
  * Sync _librsyncmodule.c from Duplicity to be librsync2 compatible

 -- Otto Kekäläinen <otto@debian.org>  Tue, 30 Jul 2019 00:12:53 +0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: rdiff-backup
 Section: utils
 Priority: optional
-X-Python-Version: >= 2.5
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Carl Chenet <chaica@ohmytux.com>
-Build-Depends:
- debhelper (>= 7.3.5~), python-all-dev, python-pylibacl, python-pyxattr,
- librsync-dev
-Standards-Version: 3.9.2
+Uploaders: Otto Kekäläinen <otto@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               librsync-dev (>= 2.0),
+               python-all-dev,
+               python-pylibacl,
+               python-pyxattr
+Standards-Version: 4.4.0
 Homepage: http://rdiff-backup.nongnu.org/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/rdiff-backup/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/rdiff-backup/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/rdiff-backup.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/rdiff-backup
 
-Package: rdiff-backup1.2
-Conflicts: rdiff-backup
+Package: rdiff-backup
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
-Recommends: python-pylibacl, python-pyxattr
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Recommends: python-pylibacl,
+            python-pyxattr
 Description: remote incremental backup
  rdiff-backup backs up one directory to another, possibly over a network. The
  target directory ends up a copy of the source directory, but extra reverse

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python2 --fail-missing

override_dh_install:
	install -D -m 0644 debian/local/bash-completion debian/rdiff-backup/usr/share/bash-completion/completions/rdiff-backup

	# Removing useless files
	rm -rf debian/rdiff-backup/usr/share/doc/rdiff-backup-*

=== debian/watch ===
version=3
http://savannah.nongnu.org/download/rdiff-backup/ rdiff-backup-(.+)\.tar.gz

## rdiff-backup 2.0.0

=== debian/changelog ===
rdiff-backup (2.0.0-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 2.0.0
    - Now fully Python 3 compatible
    - Sparse files handling has become more efficient on file systems
      which support it
    - More compressed file formats are kept as-is
    - Have a look at the |--no-fsync| option to improve speed of backup
      (at the slight risk of data loss)
    - Reproducible builds are possible
    - See rdiff-backup.net for more information on 2.0 features

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Update Homepage field to rdiff-backup.net (Closes: #944429)

 -- Otto Kekäläinen <otto@debian.org>  Tue, 17 Mar 2020 03:02:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,26 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Otto Kekäläinen <otto@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               librsync-dev (>= 2.0),
-               python-all-dev,
-               python-pylibacl,
-               python-pyxattr
-Standards-Version: 4.4.0
-Homepage: http://rdiff-backup.nongnu.org/
+               librsync-dev,
+               python3-all-dev,
+               python3-pylibacl,
+               python3-pyxattr,
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.4.1
+Homepage: https://rdiff-backup.net/
 Vcs-Git: https://salsa.debian.org/python-team/applications/rdiff-backup.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/rdiff-backup
 
 Package: rdiff-backup
 Architecture: any
 Depends: ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python-pylibacl,
-            python-pyxattr
+Recommends: python3-pylibacl,
+            python3-pyxattr
 Description: remote incremental backup
  rdiff-backup backs up one directory to another, possibly over a network. The
  target directory ends up a copy of the source directory, but extra reverse

## rdiff-backup 2.0.5

=== debian/changelog ===
rdiff-backup (2.0.5-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:51:11 +0100

rdiff-backup (2.0.5-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Otto Kekäläinen ]
  * Set correct Maintainer as announced on mailing list (Closes: #967997)

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Aug 2021 01:01:27 -0400

rdiff-backup (2.0.5-2) unstable; urgency=medium

  * NEWS: Notify users that the network protocol of versions 1 and 2 of
    rdiff-backup are incompatible (Closes: #975270).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Jun 2021 22:47:12 +0200

rdiff-backup (2.0.5-1) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * New upstream version 2.0.5
  * Update packaging for Python 3 era and compat 11
  * Add python3-setuptools as a run-time dependency so --version works

  [ Pablo Mestre Drake ]
  * New upstream version 2.0.3
  * Add hardening in debian/rules
  * debian/control
    - Migrate from debhelper 11 to debhelper-compat 13
    - Migrate from Standards-Version 4.4.1 to 4.5.0
    - Add Rules-Requires-Root
    - Update mailing list url
  * Update copyright

 -- Otto Kekäläinen <otto@debian.org>  Thu, 06 Aug 2020 06:36:34 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: rdiff-backup
 Section: utils
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Otto Kekäläinen <otto@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Otto Kekäläinen <otto@debian.org>,
+           Pablo Mestre Drake <pmdcuba@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                librsync-dev,
                python3-all-dev,
@@ -11,14 +12,16 @@
                python3-pyxattr,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://rdiff-backup.net/
 Vcs-Git: https://salsa.debian.org/python-team/applications/rdiff-backup.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/rdiff-backup
+Rules-Requires-Root: no
 
 Package: rdiff-backup
 Architecture: any
-Depends: ${misc:Depends},
+Depends: python3-setuptools,
+         ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: python3-pylibacl,

## rdiff-backup 2.2.2

=== debian/changelog ===
rdiff-backup (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2
  * Add 'asciidoctor' as build dependency so man page generation works
  * Add 'PyYAML' as new dependency introduced in 2.1
  * Update standards version to 4.6.2 and fix minor Lintian nags
  * Update autopkgtest to match new output in rdiff-backup 2.2

 -- Otto Kekäläinen <otto@debian.org>  Sun, 29 Jan 2023 12:31:40 -0800

rdiff-backup (2.0.5-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python 3.11. (Closes: #1023946).

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 14 Nov 2022 13:41:58 -0500

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Otto Kekäläinen <otto@debian.org>,
            Pablo Mestre Drake <pmdcuba@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: asciidoctor,
+               debhelper-compat (= 13),
                dh-python,
                librsync-dev,
                python3-all-dev,
                python3-pylibacl,
                python3-pyxattr,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.5.0
+               python3-setuptools-scm,
+               python3-yaml
+Standards-Version: 4.6.2
 Homepage: https://rdiff-backup.net/
 Vcs-Git: https://salsa.debian.org/python-team/applications/rdiff-backup.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/rdiff-backup

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rdiff-backup-$1\.tar\.gz/ \
  https://github.com/rdiff-backup/rdiff-backup/tags .*/v?(\d\S+)\.tar\.gz

## rdiff-backup 2.2.6

=== requirements.txt ===
# CAUTION: do not edit, this file is generated by calling:
#          cat requs/*.txt > requirements.txt

# This file describes the (development) dependencies so that we can be warned
# by GitHub dependency graph if something is compromised, see:
# https://docs.github.com/en/github/visualizing-repository-data-with-graphs/about-the-dependency-graph

# We don't pin versions unless we see a reason for it. Having developers with
# slightly different versions of the dependencies increases our chance to
# detect non working combinations.

# You can also use the file to install your environment with the following
# command:
#	pip install -r requirements.txt

#--- mandatory ---

setuptools
# also listed in setup.py!
setuptools-scm
importlib-metadata ; python_version < "3.8"
PyYAML  # for rdiff-backup >= 2.1

pywin32 ; platform_system=="Windows"

#--- building packages ---

twine
wheel
#py2exe; platform_system=="Windows"
pyinstaller==5.4; platform_system=="Windows"
#certifi; platform_system=="Windows"

#--- optional ---

pylibacl ; os_name == "posix"
pyxattr ; platform_system == "Linux"
# or xattr under SuSE Linux & Co
psutil

#--- for testing ---

tox
flake8
coverage
rpdb

=== debian/changelog ===
rdiff-backup (2.2.6-3ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:01:14 +0000

rdiff-backup (2.2.6-3ubuntu1) plucky; urgency=medium

  * Perform minor fixes to the files test, which was failing for a collection
    of minor reasons.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Mar 2025 15:54:08 -0500

rdiff-backup (2.2.6-3) unstable; urgency=medium

  * Team upload.
  * Remove the runtime dependency on python3-setuptools,
    src/rdiff_backup/Globals.py uses importlib.metadata nowadays.
  * Update Salsa URL's

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 12:59:28 +0100

rdiff-backup (2.2.6-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Properly clean obsolete bash completion conffile on upgrade
    (Closes: #988164)

  [ Henrique F. Simoes ]
  * Extract version test as new test suite
  * Mark smoke test as superficial (Closes: #974526)
  * Run upstream unit and system tests with autopkgtest
  * Run upstream filesystem-dependent tests

  [ Otto Kekäläinen ]
  * Extend gbp.conf and write a README.source.md about package maintenance
  * Misc general Debian package maintenance as this package is likely to
    stay at this version for a long time until upstream releases 3.0

 -- Otto Kekäläinen <otto@debian.org>  Sat, 21 Dec 2024 14:26:35 -0800

rdiff-backup (2.2.6-1) unstable; urgency=medium

  * New upstream version 2.2.6
    - Includes fix for cross-version issue with restrict_path
      (Closes: #1035725)
  * Make version pattern more specific in debian/watch
  * Use new upstream merged branch structure in gbp.conf

 -- Otto Kekäläinen <otto@debian.org>  Fri, 12 Jan 2024 14:05:39 -0800

=== debian/control ===
Source: rdiff-backup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
 Pablo Mestre Drake <pmdcuba@gmail.com>,
Build-Depends:
 asciidoctor,
 debhelper-compat (= 13),
 dh-python,
 librsync-dev,
 python3-all-dev,
 python3-pylibacl,
 python3-pyxattr,
 python3-setuptools,
 python3-setuptools-scm,
 python3-yaml,
Standards-Version: 4.7.0
Homepage: https://rdiff-backup.net/
Vcs-Git: https://salsa.debian.org/python-team/packages/rdiff-backup.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rdiff-backup
Rules-Requires-Root: no

Package: rdiff-backup
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-pylibacl,
 python3-pyxattr,
Description: remote incremental backup
 rdiff-backup backs up one directory to another, possibly over a network. The
 target directory ends up a copy of the source directory, but extra reverse
 diffs are stored in a special subdirectory of that target directory, so you can
 still recover files lost some time ago. The idea is to combine the best
 features of a mirror and an incremental backup. rdiff-backup also preserves
 subdirectories, hard links, dev files, permissions, uid/gid ownership,
 modification times, extended attributes, acls, and resource forks.
 .
 Also, rdiff-backup can operate in a bandwidth efficient manner over a pipe,
 like rsync. Thus you can use rdiff-backup and ssh to securely back a hard drive
 up to a remote location, and only the differences will be transmitted. Finally,
 rdiff-backup is easy to use and settings have sensible defaults.

=== debian/tests/control ===
Tests:
 smoke,
Depends:
 rdiff-backup,
Restrictions:
 allow-stderr,
 superficial,

Tests:
 version,
Depends:
 @,
Restrictions:
 allow-stderr,

Tests:
 unit,
Depends:
 procps,
 python3-pytest,
 rdiff,
 @,
Restrictions:
 allow-stderr,

Tests:
 files,
Depends:
 ca-certificates,
 wget,
 @,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-internet,
 needs-root,

Tests:
 fs,
Depends:
 python3-pylibacl,
 python3-pyxattr,
 @,
Restrictions:
 allow-stderr,
 flaky,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([0-9\.]+)\.tar\.gz/rdiff-backup-$1\.tar\.gz/ \
  https://github.com/rdiff-backup/rdiff-backup/tags .*/v?([0-9\.]+)\.tar\.gz
